import { jsxs, jsx } from "@builder.io/qwik/jsx-runtime";
import { Blocks } from "../../components/blocks/blocks.qwik.mjs";
import { component$, useStore, $ } from "@builder.io/qwik";
const activeTabContent = function activeTabContent2(props, state, active) {
  return props.tabs && props.tabs[active].content;
};
const onClick = function onClick2(props, state, index) {
  if (index === state.activeTab && props.collapsible) {
    state.activeTab = -1;
  } else {
    state.activeTab = index;
  }
};
const Tabs = component$((props) => {
  const state = useStore({
    activeTab: props.defaultActiveTab ? props.defaultActiveTab - 1 : 0
  });
  return /* @__PURE__ */ jsxs("div", {
    children: [
      /* @__PURE__ */ jsx("div", {
        class: "builder-tabs-wrap",
        style: {
          display: "flex",
          flexDirection: "row",
          justifyContent: props.tabHeaderLayout || "flex-start",
          overflow: "auto"
        },
        children: (props.tabs || []).map((tab, index) => {
          return /* @__PURE__ */ jsx("span", {
            class: `builder-tab-wrap ${state.activeTab === index ? "builder-tab-active" : ""}`,
            style: {
              ...state.activeTab === index ? props.activeTabStyle : {}
            },
            onClick$: $((event) => onClick(props, state, index)),
            children: /* @__PURE__ */ jsx(Blocks, {
              parent: props.builderBlock.id,
              path: `component.options.tabs.${index}.label`,
              blocks: tab.label,
              context: props.builderContext,
              registeredComponents: props.builderComponents,
              linkComponent: props.builderLinkComponent
            })
          }, index);
        })
      }),
      activeTabContent(props, state, state.activeTab) ? /* @__PURE__ */ jsx("div", {
        children: /* @__PURE__ */ jsx(Blocks, {
          parent: props.builderBlock.id,
          path: `component.options.tabs.${state.activeTab}.content`,
          blocks: activeTabContent(props, state, state.activeTab),
          context: props.builderContext,
          registeredComponents: props.builderComponents,
          linkComponent: props.builderLinkComponent
        })
      }) : null
    ]
  });
});
export {
  Tabs,
  activeTabContent,
  Tabs as default,
  onClick
};
