"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const camelToKebabCase = require("../functions/camel-to-kebab-case.qwik.cjs");
const nullable = require("./nullable.qwik.cjs");
const convertStyleMapToCSSArray = (style) => {
  const cssProps = Object.entries(style).map(([key, value]) => {
    if (typeof value === "string") {
      return `${camelToKebabCase.camelToKebabCase(key)}: ${value};`;
    } else {
      return void 0;
    }
  });
  return cssProps.filter(nullable.checkIsDefined);
};
const convertStyleMapToCSS = (style) => convertStyleMapToCSSArray(style).join("\n");
const createCssClass = ({ mediaQuery, className, styles }) => {
  const cssClass = `.${className} {
    ${convertStyleMapToCSS(styles)}
  }`;
  if (mediaQuery) {
    return `${mediaQuery} {
      ${cssClass}
    }`;
  } else {
    return cssClass;
  }
};
exports.convertStyleMapToCSS = convertStyleMapToCSS;
exports.convertStyleMapToCSSArray = convertStyleMapToCSSArray;
exports.createCssClass = createCssClass;
