"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const convertSearchParamsToQueryObject = (searchParams) => {
  const options = {};
  searchParams.forEach((value, key) => {
    options[key] = value;
  });
  return options;
};
const normalizeSearchParams = (searchParams) => searchParams instanceof URLSearchParams ? convertSearchParamsToQueryObject(searchParams) : searchParams;
const getSearchString = (search) => {
  if (typeof search === "string") {
    return search;
  } else if (search instanceof URLSearchParams) {
    return search.toString();
  }
  return new URLSearchParams(search).toString();
};
exports.convertSearchParamsToQueryObject = convertSearchParamsToQueryObject;
exports.getSearchString = getSearchString;
exports.normalizeSearchParams = normalizeSearchParams;
