"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("@builder.io/qwik/jsx-runtime");
const blocks = require("../../components/blocks/blocks.qwik.cjs");
const qwik = require("@builder.io/qwik");
const activeTabContent = function activeTabContent2(props, state, active) {
  return props.tabs && props.tabs[active].content;
};
const onClick = function onClick2(props, state, index) {
  if (index === state.activeTab && props.collapsible) {
    state.activeTab = -1;
  } else {
    state.activeTab = index;
  }
};
const Tabs = qwik.component$((props) => {
  const state = qwik.useStore({
    activeTab: props.defaultActiveTab ? props.defaultActiveTab - 1 : 0
  });
  return /* @__PURE__ */ jsxRuntime.jsxs("div", {
    children: [
      /* @__PURE__ */ jsxRuntime.jsx("div", {
        class: "builder-tabs-wrap",
        style: {
          display: "flex",
          flexDirection: "row",
          justifyContent: props.tabHeaderLayout || "flex-start",
          overflow: "auto"
        },
        children: (props.tabs || []).map((tab, index) => {
          return /* @__PURE__ */ jsxRuntime.jsx("span", {
            class: `builder-tab-wrap ${state.activeTab === index ? "builder-tab-active" : ""}`,
            style: {
              ...state.activeTab === index ? props.activeTabStyle : {}
            },
            onClick$: qwik.$((event) => onClick(props, state, index)),
            children: /* @__PURE__ */ jsxRuntime.jsx(blocks.Blocks, {
              parent: props.builderBlock.id,
              path: `component.options.tabs.${index}.label`,
              blocks: tab.label,
              context: props.builderContext,
              registeredComponents: props.builderComponents,
              linkComponent: props.builderLinkComponent
            })
          }, index);
        })
      }),
      activeTabContent(props, state, state.activeTab) ? /* @__PURE__ */ jsxRuntime.jsx("div", {
        children: /* @__PURE__ */ jsxRuntime.jsx(blocks.Blocks, {
          parent: props.builderBlock.id,
          path: `component.options.tabs.${state.activeTab}.content`,
          blocks: activeTabContent(props, state, state.activeTab),
          context: props.builderContext,
          registeredComponents: props.builderComponents,
          linkComponent: props.builderLinkComponent
        })
      }) : null
    ]
  });
});
exports.Tabs = Tabs;
exports.activeTabContent = activeTabContent;
exports.default = Tabs;
exports.onClick = onClick;
