"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("@builder.io/qwik/jsx-runtime");
const qwik = require("@builder.io/qwik");
const Video = qwik.component$((props) => {
  var _a, _b, _c, _d, _e, _f, _g;
  const videoProps = qwik.useComputed$(() => {
    return {
      ...props.autoPlay === true ? {
        autoPlay: true
      } : {},
      ...props.muted === true ? {
        muted: true
      } : {},
      ...props.controls === true ? {
        controls: true
      } : {},
      ...props.loop === true ? {
        loop: true
      } : {},
      ...props.playsInline === true ? {
        playsInline: true
      } : {}
    };
  });
  const spreadProps = qwik.useComputed$(() => {
    return {
      ...videoProps.value
    };
  });
  return /* @__PURE__ */ jsxRuntime.jsxs("div", {
    style: {
      position: "relative"
    },
    children: [
      /* @__PURE__ */ jsxRuntime.jsx("video", {
        class: "builder-video",
        ...spreadProps.value,
        preload: props.preload || "metadata",
        style: {
          width: "100%",
          height: "100%",
          ...(_a = props.attributes) == null ? void 0 : _a.style,
          objectFit: props.fit,
          objectPosition: props.position,
          // Hack to get object fit to work as expected and
          // not have the video overflow
          zIndex: 2,
          borderRadius: "1px",
          ...props.aspectRatio ? {
            position: "absolute"
          } : null
        },
        src: props.video || "no-src",
        poster: props.posterImage,
        children: !props.lazyLoad ? /* @__PURE__ */ jsxRuntime.jsx("source", {
          type: "video/mp4",
          src: props.video
        }) : null
      }),
      props.aspectRatio && !(props.fitContent && ((_c = (_b = props.builderBlock) == null ? void 0 : _b.children) == null ? void 0 : _c.length)) ? /* @__PURE__ */ jsxRuntime.jsx("div", {
        style: {
          width: "100%",
          paddingTop: props.aspectRatio * 100 + "%",
          pointerEvents: "none",
          fontSize: "0px"
        }
      }) : null,
      ((_e = (_d = props.builderBlock) == null ? void 0 : _d.children) == null ? void 0 : _e.length) && props.fitContent ? /* @__PURE__ */ jsxRuntime.jsx("div", {
        style: {
          display: "flex",
          flexDirection: "column",
          alignItems: "stretch"
        },
        children: /* @__PURE__ */ jsxRuntime.jsx(qwik.Slot, {})
      }) : null,
      ((_g = (_f = props.builderBlock) == null ? void 0 : _f.children) == null ? void 0 : _g.length) && !props.fitContent ? /* @__PURE__ */ jsxRuntime.jsx("div", {
        style: {
          pointerEvents: "none",
          display: "flex",
          flexDirection: "column",
          alignItems: "stretch",
          position: "absolute",
          top: "0",
          left: "0",
          width: "100%",
          height: "100%"
        },
        children: /* @__PURE__ */ jsxRuntime.jsx(qwik.Slot, {})
      }) : null
    ]
  });
});
exports.Video = Video;
exports.default = Video;
