import { jsx, Fragment } from "@builder.io/qwik/jsx-runtime";
import Block from "../../block.qwik.mjs";
import { InteractiveElement } from "../interactive-element.qwik.mjs";
import { getWrapperProps } from "./component-ref.helpers.qwik.mjs";
import { component$, useStore } from "@builder.io/qwik";
const ComponentRef = component$((props) => {
  const state = useStore({
    Wrapper: props.isInteractive ? InteractiveElement : props.componentRef
  });
  return /* @__PURE__ */ jsx(Fragment, {
    children: props.componentRef ? /* @__PURE__ */ jsx(state.Wrapper, {
      ...getWrapperProps({
        componentOptions: props.componentOptions,
        builderBlock: props.builderBlock,
        context: props.context,
        componentRef: props.componentRef,
        linkComponent: props.linkComponent,
        includeBlockProps: props.includeBlockProps,
        isInteractive: props.isInteractive,
        contextValue: props.context
      }),
      children: (props.blockChildren || []).map((child) => {
        return /* @__PURE__ */ jsx(Block, {
          block: child,
          context: props.context,
          registeredComponents: props.registeredComponents,
          linkComponent: props.linkComponent
        }, child.id);
      })
    }) : null
  });
});
export {
  ComponentRef,
  ComponentRef as default
};
