"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const localStorage = require("./localStorage.qwik.cjs");
const nullable = require("./nullable.qwik.cjs");
const uuid = require("./uuid.qwik.cjs");
const VISITOR_LOCAL_STORAGE_KEY = "builderVisitorId";
const getVisitorId = ({ canTrack }) => {
  if (!canTrack) {
    return void 0;
  }
  const visitorId = localStorage.getLocalStorageItem({
    key: VISITOR_LOCAL_STORAGE_KEY,
    canTrack
  });
  if (nullable.checkIsDefined(visitorId)) {
    return visitorId;
  } else {
    const newVisitorId = createVisitorId();
    setVisitorId({
      id: newVisitorId,
      canTrack
    });
    return newVisitorId;
  }
};
const createVisitorId = () => uuid.uuid();
const setVisitorId = ({ id, canTrack }) => localStorage.setLocalStorageItem({
  key: VISITOR_LOCAL_STORAGE_KEY,
  value: id,
  canTrack
});
exports.createVisitorId = createVisitorId;
exports.getVisitorId = getVisitorId;
exports.setVisitorId = setVisitorId;
