import { jsx } from "@builder.io/qwik/jsx-runtime";
import { component$, useSignal, useStore, useOn, $ } from "@builder.io/qwik";
const CustomCode = component$((props) => {
  const elementRef = useSignal();
  const state = useStore({
    scriptsInserted: [],
    scriptsRun: []
  });
  useOn("qvisible", $((event, element) => {
    if (!(element == null ? void 0 : element.getElementsByTagName) || typeof window === "undefined") {
      return;
    }
    const scripts = element.getElementsByTagName("script");
    for (let i = 0; i < scripts.length; i++) {
      const script = scripts[i];
      if (script.src) {
        if (state.scriptsInserted.includes(script.src)) {
          continue;
        }
        state.scriptsInserted.push(script.src);
        const newScript = document.createElement("script");
        newScript.async = true;
        newScript.src = script.src;
        document.head.appendChild(newScript);
      } else if (!script.type || [
        "text/javascript",
        "application/javascript",
        "application/ecmascript"
      ].includes(script.type)) {
        if (state.scriptsRun.includes(script.innerText)) {
          continue;
        }
        try {
          state.scriptsRun.push(script.innerText);
          new Function(script.innerText)();
        } catch (error) {
          console.warn("`CustomCode`: Error running script:", error);
        }
      }
    }
  }));
  return /* @__PURE__ */ jsx("div", {
    ref: elementRef,
    class: "builder-custom-code" + (props.replaceNodes ? " replace-nodes" : ""),
    dangerouslySetInnerHTML: props.code
  });
});
export {
  CustomCode,
  CustomCode as default
};
