import { jsx } from "@builder.io/qwik/jsx-runtime";
import { getBlockActions } from "../../../functions/get-block-actions.qwik.mjs";
import { getBlockProperties } from "../../../functions/get-block-properties.qwik.mjs";
import { DynamicRenderer } from "../../dynamic-renderer/dynamic-renderer.qwik.mjs";
import { component$, Slot } from "@builder.io/qwik";
const BlockWrapper = component$((props) => {
  return /* @__PURE__ */ jsx(DynamicRenderer, {
    TagName: props.Wrapper,
    attributes: getBlockProperties({
      block: props.block,
      context: props.context
    }),
    actionAttributes: getBlockActions({
      block: props.block,
      rootState: props.context.rootState,
      rootSetState: props.context.rootSetState,
      localState: props.context.localState,
      context: props.context.context,
      stripPrefix: true
    }),
    children: /* @__PURE__ */ jsx(Slot, {})
  });
});
export {
  BlockWrapper,
  BlockWrapper as default
};
