"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("@builder.io/qwik/jsx-runtime");
const isEditing = require("../../functions/is-editing.qwik.cjs");
const qwik = require("@builder.io/qwik");
const onClick = function onClick2(props, state, className, blocksWrapperRef) {
  var _a, _b;
  if (isEditing.isEditing() && !((_a = props.blocks) == null ? void 0 : _a.length)) {
    (_b = window.parent) == null ? void 0 : _b.postMessage({
      type: "builder.clickEmptyBlocks",
      data: {
        parentElementId: props.parent,
        dataPath: props.path
      }
    }, "*");
  }
};
const onMouseEnter = function onMouseEnter2(props, state, className, blocksWrapperRef) {
  var _a, _b;
  if (isEditing.isEditing() && !((_a = props.blocks) == null ? void 0 : _a.length)) {
    (_b = window.parent) == null ? void 0 : _b.postMessage({
      type: "builder.hoverEmptyBlocks",
      data: {
        parentElementId: props.parent,
        dataPath: props.path
      }
    }, "*");
  }
};
const BlocksWrapper = qwik.component$((props) => {
  qwik.useStylesScoped$(STYLES);
  const className = qwik.useComputed$(() => {
    var _a;
    return "builder-blocks" + (!((_a = props.blocks) == null ? void 0 : _a.length) ? " no-blocks" : "");
  });
  const blocksWrapperRef = qwik.useSignal();
  qwik.useVisibleTask$(() => {
  });
  return /* @__PURE__ */ jsxRuntime.jsx(props.BlocksWrapper, {
    ref: blocksWrapperRef,
    class: className.value + " props-blocks-wrapper-BlocksWrapper",
    "builder-path": props.path,
    "builder-parent-id": props.parent,
    style: props.styleProp,
    onClick$: qwik.$((event) => onClick(props)),
    onMouseEnter$: qwik.$((event) => onMouseEnter(props)),
    onKeyPress$: qwik.$((event) => onClick(props)),
    ...props.BlocksWrapperProps,
    children: /* @__PURE__ */ jsxRuntime.jsx(qwik.Slot, {})
  });
});
const STYLES = `
.props-blocks-wrapper-BlocksWrapper {
  display: flex;
  flex-direction: column;
  align-items: stretch;
}
`;
exports.BlocksWrapper = BlocksWrapper;
exports.STYLES = STYLES;
exports.default = BlocksWrapper;
exports.onClick = onClick;
exports.onMouseEnter = onMouseEnter;
