import { jsx } from "@builder.io/qwik/jsx-runtime";
import { InlinedStyles } from "../../inlined-styles.qwik.mjs";
import { getCss, getFontCss, getDefaultStyles } from "./styles.helpers.qwik.mjs";
import { component$, useStore } from "@builder.io/qwik";
const ContentStyles = component$((props) => {
  const state = useStore({
    injectedStyles: `
${getCss({
      cssCode: props.cssCode,
      contentId: props.contentId
    })}
${getFontCss({
      customFonts: props.customFonts
    })}
${getDefaultStyles(props.isNestedRender)}
`.trim()
  });
  return /* @__PURE__ */ jsx(InlinedStyles, {
    id: "builderio-content",
    styles: state.injectedStyles,
    nonce: props.nonce
  });
});
export {
  ContentStyles,
  ContentStyles as default
};
