"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const isBrowser = require("./is-browser.qwik.cjs");
const registerComponent = require("./register-component.qwik.cjs");
const registry = {};
function register(type, info) {
  if (type === "plugin") {
    info = registerComponent.serializeIncludingFunctions(info);
  }
  let typeList = registry[type];
  if (!typeList) {
    typeList = registry[type] = [];
  }
  typeList.push(info);
  if (isBrowser.isBrowser()) {
    const message = {
      type: "builder.register",
      data: {
        type,
        info
      }
    };
    try {
      parent.postMessage(message, "*");
      if (parent !== window) {
        window.postMessage(message, "*");
      }
    } catch (err) {
      console.debug("Could not postmessage", err);
    }
  }
}
exports.register = register;
