"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
function flatten(object, path = null, separator = ".") {
  return Object.keys(object).reduce((acc, key) => {
    const value = object[key];
    const newPath = [
      path,
      key
    ].filter(Boolean).join(separator);
    const isObject = [
      typeof value === "object",
      value !== null,
      !(Array.isArray(value) && value.length === 0)
    ].every(Boolean);
    return isObject ? {
      ...acc,
      ...flatten(value, newPath, separator)
    } : {
      ...acc,
      [newPath]: value
    };
  }, {});
}
function flattenMongoQuery(obj, _current, _res = {}) {
  for (const key in obj) {
    const value = obj[key];
    const newKey = _current ? _current + "." + key : key;
    if (value && typeof value === "object" && !Array.isArray(value) && !Object.keys(value).find((item) => item.startsWith("$"))) {
      flattenMongoQuery(value, newKey, _res);
    } else {
      _res[newKey] = value;
    }
  }
  return _res;
}
exports.flatten = flatten;
exports.flattenMongoQuery = flattenMongoQuery;
