import { BuilderBlock } from "../../../types/builder-block";
import { BuilderComponentsProp, BuilderDataProps, BuilderLinkComponentProp } from "../../../types/builder-props";
import { Dictionary } from "../../../types/typescript";
/**
 * This import is used by the Svelte SDK. Do not remove.
 */
export type FormProps = BuilderDataProps & BuilderComponentsProp & BuilderLinkComponentProp & {
    attributes?: any;
    name?: string;
    action?: string;
    validate?: boolean;
    method?: string;
    sendSubmissionsTo?: string;
    sendSubmissionsToEmail?: string;
    sendWithJs?: boolean;
    contentType?: string;
    customHeaders?: {
        [key: string]: string;
    };
    successUrl?: string;
    previewState?: FormState;
    successMessage?: BuilderBlock[];
    errorMessage?: BuilderBlock[];
    sendingMessage?: BuilderBlock[];
    resetFormOnSubmit?: boolean;
    errorMessagePath?: string;
};
/**
 * This import is used by the Svelte SDK. Do not remove.
 */
export type FormState = "unsubmitted" | "sending" | "success" | "error";
export declare const mergeNewRootState: (props: any, state: any, formRef: any, newData: Dictionary<any>) => void;
export declare const submissionState: (props: any, state: any, formRef: any) => any;
export declare const onSubmit: (props: any, state: any, formRef: any, event: any) => void;
export declare const FormComponent: import("@builder.io/qwik").Component<FormProps>;
export default FormComponent;
export declare const STYLES = "\n.pre-FormComponent {\n  padding: 10px;\n  color: red;\n  text-align: center;\n}\n";
